WIDL(1)

NAME
widl - Wine Interface Definition Language Compiler

SYNOPSIS
widl [options] infile.idl

DESCRIPTION
widl is a Wine tool which purpose is to compile Interface Definition Language (IDL) files.

OPTIONS
Help mode:
No options are used.
The program prints the help info and then exits.

General options:

-V  Print version number and exits from the program.

Header options:

-h  Generate header files.

-H file
    Name of header file to generate. The default header
    filename is infile.h.

--oldnames
    Use old naming conventions.

Type library options:

-t  Generate a type library.

-T file
    Define the name of the type library to be generated.
    The default filename is infile.tlb.

Proxy/stub generation options:

-c  Generate client stub.

-C file
    Name of client stub file (default is infile_c.c)

-p  Generate proxy.

-P file
    Name of proxy file (default is infile_p.c)

-s  Generate server stub.

-S file
    Name of server stub file (default is infile_s.c)

Preprocessor options:

-I path
    Add a header search dir to path. Multiple search
    dirs are allowed.

-D id[=val]
    Define preprocessor identifier id value.

-E  Preprocess only.

-N  Do not preprocess input.

Debug options:

-W  Enable pedantic warnings.

-d n
    Set debug level to n.
    n may be '0x01', '0x02', '0x04', '0x08', '0x10' or '0x20'.
    (See section Debug)

Debug
Debug level 'n' is a bitmask with the following meaning:
    * 0x01 Tell which resource is parsed (verbose mode)
    * 0x02 Dump internal structures
    * 0x04 Create a parser trace (yydebug=1)
    * 0x08 Preprocessor messages
    * 0x10 Preprocessor lex messages
    * 0x20 Preprocessor yacc trace

BUGS
Typelib generation doesn't work at the moment. It is still under development.

AUTHORS
widl was written by Ove Kaaven. This man page was written by Hannu Valtonen.

SEE ALSO
The Winelib User Guide
The Wine Developers Guide